Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/guide_mod.F90	(revision 5118)
@@ -1097,295 +1094,294 @@
     include "paramet.h"
 
-    INTEGER, INTENT(IN)   :: timestep
-
-    LOGICAL, SAVE         :: first=.TRUE.
-! Identification fichiers et variables NetCDF:
-    INTEGER, SAVE         :: ncidu,varidu,ncidv,varidv,ncidp,varidp
-    INTEGER, SAVE         :: ncidQ,varidQ,ncidt,varidt,ncidps,varidps
-    INTEGER               :: ncidpl,varidpl,varidap,varidbp,dimid,lendim
-! Variables auxiliaires NetCDF:
-    INTEGER, DIMENSION(4) :: start,count
-    INTEGER               :: status,rcode
-    CHARACTER (len = 80)   :: abort_message
-    CHARACTER (len = 20)   :: modname = 'guide_read'
-    CHARACTER (len = 20)   :: namedim
-
-! -----------------------------------------------------------------
-! Premier appel: initialisation de la lecture des fichiers
-! -----------------------------------------------------------------
+    INTEGER, INTENT(IN) :: timestep
+
+    LOGICAL, SAVE :: first = .TRUE.
+    ! Identification fichiers et variables NetCDF:
+    INTEGER, SAVE :: ncidu, varidu, ncidv, varidv, ncidp, varidp
+    INTEGER, SAVE :: ncidQ, varidQ, ncidt, varidt, ncidps, varidps
+    INTEGER :: ncidpl, varidpl, varidap, varidbp, dimid, lendim
+    ! Variables auxiliaires NetCDF:
+    INTEGER, DIMENSION(4) :: start, count
+    INTEGER :: status, rcode
+    CHARACTER (len = 80) :: abort_message
+    CHARACTER (len = 20) :: modname = 'guide_read'
+    CHARACTER (len = 20) :: namedim
+
+    ! -----------------------------------------------------------------
+    ! Premier appel: initialisation de la lecture des fichiers
+    ! -----------------------------------------------------------------
     IF (first) THEN
-         ncidpl=-99
-         WRITE(*,*) trim(modname)//': opening nudging files '
-! Niveaux de pression si non constants
-         IF (guide_plevs==1) THEN
-             WRITE(*,*) trim(modname)//' Reading nudging on model levels'
-             rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file apbp.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidpl, 'AP', varidap)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no AP variable in file apbp.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidpl, 'BP', varidbp)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no BP variable in file apbp.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidpl,varidap',ncidpl,varidap
-         endif
-
-! Pression si guidage sur niveaux P variables
-         IF (guide_plevs==2) THEN
-             rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file P.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidp, 'PRES', varidp)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no PRES variable in file P.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidp,varidp',ncidp,varidp
-             IF (ncidpl==-99) ncidpl=ncidp
-         endif
-
-! Vent zonal
-         IF (guide_u) THEN
-             rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file u.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidu, 'UWND', varidu)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no UWND variable in file u.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidu,varidu',ncidu,varidu
-             IF (ncidpl==-99) ncidpl=ncidu
-
-             status=nf90_inq_dimid(ncidu, "LONU", dimid)
-             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
-             IF (lendim /= iip1) THEN
-                abort_message='dimension LONU different from iip1 in u.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-             status=nf90_inq_dimid(ncidu, "LATU", dimid)
-             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
-             IF (lendim /= jjp1) THEN
-                abort_message='dimension LATU different from jjp1 in u.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-         endif
-
-! Vent meridien
-         IF (guide_v) THEN
-             rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file v.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidv, 'VWND', varidv)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no VWND variable in file v.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidv,varidv',ncidv,varidv
-             IF (ncidpl==-99) ncidpl=ncidv
-             
-             status=nf90_inq_dimid(ncidv, "LONV", dimid)
-             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
-             
-                IF (lendim /= iip1) THEN
-                abort_message='dimension LONV different from iip1 in v.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-
-             status=nf90_inq_dimid(ncidv, "LATV", dimid)
-             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
-             IF (lendim /= jjm) THEN
-                abort_message='dimension LATV different from jjm in v.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-        
-         endif
-
-! Temperature
-         IF (guide_T) THEN
-             rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file T.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidt, 'AIR', varidt)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no AIR variable in file T.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidT,varidT',ncidt,varidt
-             IF (ncidpl==-99) ncidpl=ncidt
-
-             status=nf90_inq_dimid(ncidt, "LONV", dimid)
-             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
-             IF (lendim /= iip1) THEN
-                abort_message='dimension LONV different from iip1 in T.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-             status=nf90_inq_dimid(ncidt, "LATU", dimid)
-             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
-             IF (lendim /= jjp1) THEN
-                abort_message='dimension LATU different from jjp1 in T.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-         endif
-
-! Humidite
-         IF (guide_Q) THEN
-             rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file hur.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidQ, 'RH', varidQ)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no RH variable in file hur.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidQ,varidQ',ncidQ,varidQ
-             IF (ncidpl==-99) ncidpl=ncidQ
-
-             status=nf90_inq_dimid(ncidQ, "LONV", dimid)
-             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
-             IF (lendim /= iip1) THEN
-                abort_message='dimension LONV different from iip1 in hur.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-             status=nf90_inq_dimid(ncidQ, "LATU", dimid)
-             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
-             IF (lendim /= jjp1) THEN
-                abort_message='dimension LATU different from jjp1 in hur.nc'
-                CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-
-         endif
-
-! Pression de surface
-         IF ((guide_P).OR.(guide_modele)) THEN
-             rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no file ps.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             rcode = nf90_inq_varid(ncidps, 'SP', varidps)
-             IF (rcode/=nf90_noerr) THEN
-              abort_message='Nudging: error -> no SP variable in file ps.nc'
-              CALL abort_gcm(modname,abort_message,1)
-             ENDIF
-             WRITE(*,*) trim(modname)//' ncidps,varidps',ncidps,varidps
-         endif
-! Coordonnee verticale
-         IF (guide_plevs==0) THEN
-              rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
-              IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
-              WRITE(*,*) trim(modname)//' ncidpl,varidpl',ncidpl,varidpl
-         endif
-! Coefs ap, bp pour calcul de la pression aux differents niveaux
-         IF (guide_plevs==1) THEN
-             status=nf90_get_var(ncidpl,varidap,apnc,[1],[nlevnc])
-             status=nf90_get_var(ncidpl,varidbp,bpnc,[1],[nlevnc])
-         ELSEIF (guide_plevs==0) THEN
-             status=nf90_get_var(ncidpl,varidpl,apnc,[1],[nlevnc])
-!FC Pour les corrections la pression est deja en Pascals on commente la ligne ci-dessous
-             IF(convert_Pa) apnc=apnc*100.! conversion en Pascals
-             bpnc(:)=0.
-         endif
-         first=.FALSE.
-     endif ! (first)
-
-! -----------------------------------------------------------------
-!   lecture des champs u, v, T, Q, ps
-! -----------------------------------------------------------------
-
-!  dimensions pour les champs scalaires et le vent zonal
-     start(1)=1
-     start(2)=1
-     start(3)=1
-     start(4)=timestep
-
-     count(1)=iip1
-     count(2)=jjp1
-     count(3)=nlevnc
-     count(4)=1
-
-! Pression 
-     IF (guide_plevs==2) THEN
-         status=nf90_get_var(ncidp,varidp,pnat2,start,count)
-         IF (invert_y) THEN
-!           PRINT*,"Invertion impossible actuellement"
-!           CALL abort_gcm(modname,abort_message,1)
-           CALL invert_lat(iip1,jjp1,nlevnc,pnat2)
-         ENDIF
-     endif
-
-!  Vent zonal
-     IF (guide_u) THEN
-         status=nf90_get_var(ncidu,varidu,unat2,start,count)
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,unat2)
-         ENDIF
-     endif
-
-!  Temperature
-     IF (guide_T) THEN
-         status=nf90_get_var(ncidt,varidt,tnat2,start,count)
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,tnat2)
-         ENDIF
-     endif
-
-!  Humidite
-     IF (guide_Q) THEN
-         status=nf90_get_var(ncidQ,varidQ,qnat2,start,count)
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,nlevnc,qnat2)
-         ENDIF
-         
-     endif
-
-!  Vent meridien
-     IF (guide_v) THEN
-         count(2)=jjm
-         status=nf90_get_var(ncidv,varidv,vnat2,start,count)
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjm,nlevnc,vnat2)
-         ENDIF
-     endif
-
-!  Pression de surface
-     IF ((guide_P).OR.(guide_modele))  THEN
-         start(3)=timestep
-         start(4)=0
-         count(2)=jjp1
-         count(3)=1
-         count(4)=0
-         status=nf90_get_var(ncidps,varidps,psnat2,start,count)
-         IF (invert_y) THEN
-           CALL invert_lat(iip1,jjp1,1,psnat2)
-         ENDIF
-     endif
+      ncidpl = -99
+      WRITE(*, *) trim(modname) // ': opening nudging files '
+      ! Niveaux de pression si non constants
+      IF (guide_plevs==1) THEN
+        WRITE(*, *) trim(modname) // ' Reading nudging on model levels'
+        rcode = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidpl, 'AP', varidap)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no AP variable in file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidpl, 'BP', varidbp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no BP variable in file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidpl,varidap', ncidpl, varidap
+      endif
+
+      ! Pression si guidage sur niveaux P variables
+      IF (guide_plevs==2) THEN
+        rcode = nf90_open('P.nc', nf90_nowrite, ncidp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file P.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidp, 'PRES', varidp)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no PRES variable in file P.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidp,varidp', ncidp, varidp
+        IF (ncidpl==-99) ncidpl = ncidp
+      endif
+
+      ! Vent zonal
+      IF (guide_u) THEN
+        rcode = nf90_open('u.nc', nf90_nowrite, ncidu)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidu, 'UWND', varidu)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no UWND variable in file u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidu,varidu', ncidu, varidu
+        IF (ncidpl==-99) ncidpl = ncidu
+
+        status = nf90_inq_dimid(ncidu, "LONU", dimid)
+        status = nf90_inquire_dimension(ncidu, dimid, namedim, lendim)
+        IF (lendim /= iip1) THEN
+          abort_message = 'dimension LONU different from iip1 in u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+        status = nf90_inq_dimid(ncidu, "LATU", dimid)
+        status = nf90_inquire_dimension(ncidu, dimid, namedim, lendim)
+        IF (lendim /= jjp1) THEN
+          abort_message = 'dimension LATU different from jjp1 in u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+      endif
+
+      ! Vent meridien
+      IF (guide_v) THEN
+        rcode = nf90_open('v.nc', nf90_nowrite, ncidv)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidv, 'VWND', varidv)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no VWND variable in file v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidv,varidv', ncidv, varidv
+        IF (ncidpl==-99) ncidpl = ncidv
+
+        status = nf90_inq_dimid(ncidv, "LONV", dimid)
+        status = nf90_inquire_dimension(ncidv, dimid, namedim, lendim)
+
+        IF (lendim /= iip1) THEN
+          abort_message = 'dimension LONV different from iip1 in v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+        status = nf90_inq_dimid(ncidv, "LATV", dimid)
+        status = nf90_inquire_dimension(ncidv, dimid, namedim, lendim)
+        IF (lendim /= jjm) THEN
+          abort_message = 'dimension LATV different from jjm in v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+      endif
+
+      ! Temperature
+      IF (guide_T) THEN
+        rcode = nf90_open('T.nc', nf90_nowrite, ncidt)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidt, 'AIR', varidt)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no AIR variable in file T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidT,varidT', ncidt, varidt
+        IF (ncidpl==-99) ncidpl = ncidt
+
+        status = nf90_inq_dimid(ncidt, "LONV", dimid)
+        status = nf90_inquire_dimension(ncidt, dimid, namedim, lendim)
+        IF (lendim /= iip1) THEN
+          abort_message = 'dimension LONV different from iip1 in T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+        status = nf90_inq_dimid(ncidt, "LATU", dimid)
+        status = nf90_inquire_dimension(ncidt, dimid, namedim, lendim)
+        IF (lendim /= jjp1) THEN
+          abort_message = 'dimension LATU different from jjp1 in T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+      endif
+
+      ! Humidite
+      IF (guide_Q) THEN
+        rcode = nf90_open('hur.nc', nf90_nowrite, ncidQ)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidQ, 'RH', varidQ)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no RH variable in file hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidQ,varidQ', ncidQ, varidQ
+        IF (ncidpl==-99) ncidpl = ncidQ
+
+        status = nf90_inq_dimid(ncidQ, "LONV", dimid)
+        status = nf90_inquire_dimension(ncidQ, dimid, namedim, lendim)
+        IF (lendim /= iip1) THEN
+          abort_message = 'dimension LONV different from iip1 in hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+        status = nf90_inq_dimid(ncidQ, "LATU", dimid)
+        status = nf90_inquire_dimension(ncidQ, dimid, namedim, lendim)
+        IF (lendim /= jjp1) THEN
+          abort_message = 'dimension LATU different from jjp1 in hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+
+      endif
+
+      ! Pression de surface
+      IF ((guide_P).OR.(guide_modele)) THEN
+        rcode = nf90_open('ps.nc', nf90_nowrite, ncidps)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no file ps.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        rcode = nf90_inq_varid(ncidps, 'SP', varidps)
+        IF (rcode/=nf90_noerr) THEN
+          abort_message = 'Nudging: error -> no SP variable in file ps.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        ENDIF
+        WRITE(*, *) trim(modname) // ' ncidps,varidps', ncidps, varidps
+      endif
+      ! Coordonnee verticale
+      IF (guide_plevs==0) THEN
+        rcode = nf90_inq_varid(ncidpl, 'LEVEL', varidpl)
+        IF (rcode/=0) rcode = nf90_inq_varid(ncidpl, 'PRESSURE', varidpl)
+        WRITE(*, *) trim(modname) // ' ncidpl,varidpl', ncidpl, varidpl
+      endif
+      ! Coefs ap, bp pour calcul de la pression aux differents niveaux
+      IF (guide_plevs==1) THEN
+        status = nf90_get_var(ncidpl, varidap, apnc, [1], [nlevnc])
+        status = nf90_get_var(ncidpl, varidbp, bpnc, [1], [nlevnc])
+      ELSEIF (guide_plevs==0) THEN
+        status = nf90_get_var(ncidpl, varidpl, apnc, [1], [nlevnc])
+        !FC Pour les corrections la pression est deja en Pascals on commente la ligne ci-dessous
+        IF(convert_Pa) apnc = apnc * 100.! conversion en Pascals
+        bpnc(:) = 0.
+      endif
+      first = .FALSE.
+    endif ! (first)
+
+    ! -----------------------------------------------------------------
+    !   lecture des champs u, v, T, Q, ps
+    ! -----------------------------------------------------------------
+
+    !  dimensions pour les champs scalaires et le vent zonal
+    start(1) = 1
+    start(2) = 1
+    start(3) = 1
+    start(4) = timestep
+
+    count(1) = iip1
+    count(2) = jjp1
+    count(3) = nlevnc
+    count(4) = 1
+
+    ! Pression
+    IF (guide_plevs==2) THEN
+      status = nf90_get_var(ncidp, varidp, pnat2, start, count)
+      IF (invert_y) THEN
+        !           PRINT*,"Invertion impossible actuellement"
+        !           CALL abort_gcm(modname,abort_message,1)
+        CALL invert_lat(iip1, jjp1, nlevnc, pnat2)
+      ENDIF
+    endif
+
+    !  Vent zonal
+    IF (guide_u) THEN
+      status = nf90_get_var(ncidu, varidu, unat2, start, count)
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, unat2)
+      ENDIF
+    endif
+
+    !  Temperature
+    IF (guide_T) THEN
+      status = nf90_get_var(ncidt, varidt, tnat2, start, count)
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, tnat2)
+      ENDIF
+    endif
+
+    !  Humidite
+    IF (guide_Q) THEN
+      status = nf90_get_var(ncidQ, varidQ, qnat2, start, count)
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, nlevnc, qnat2)
+      ENDIF
+
+    endif
+
+    !  Vent meridien
+    IF (guide_v) THEN
+      count(2) = jjm
+      status = nf90_get_var(ncidv, varidv, vnat2, start, count)
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjm, nlevnc, vnat2)
+      ENDIF
+    endif
+
+    !  Pression de surface
+    IF ((guide_P).OR.(guide_modele))  THEN
+      start(3) = timestep
+      start(4) = 0
+      count(2) = jjp1
+      count(3) = 1
+      count(4) = 0
+      status = nf90_get_var(ncidps, varidps, psnat2, start, count)
+      IF (invert_y) THEN
+        CALL invert_lat(iip1, jjp1, 1, psnat2)
+      ENDIF
+    endif
 
   END SUBROUTINE guide_read
 
-!=======================================================================
+  !=======================================================================
   SUBROUTINE guide_read2D(timestep)
     IMPLICIT NONE
